import request from 'supertest';
import * as ConfigContainer from '../../lib/config.cjs';

const SERVER_URL = `http://localhost:${ConfigContainer.config.listenPort}`;

export const get = (url) => request(SERVER_URL).get(url);
export const post = (url, body) => request(SERVER_URL).post(url).send(body);
export const put = (url, body) => request(SERVER_URL).put(url).send(body);
export const del = (url) => request(SERVER_URL).del(url);

export function isISOTimeFormat(timestamp) {
    if (typeof timestamp !== 'string') return false;
    if (!/\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z/.test(timestamp)) return false;
    const d = new Date(timestamp);
    return d.toISOString() === timestamp;
}

export function isUpperCaseString(value) {
    if (typeof value !== 'string') return false;
    return value.toUpperCase() === value;
}

export function randomInt() {
    return Math.floor(Math.random() * 10000);
}

export function randomMac() {
    let mac = '';
    const macLength = 12;
    const randomChar = () => (Math.random() * 1000).toString(16).replace(/[.]+/g, '').substr(1, 1);

    for (let i = 0; i < macLength; i += 1) {
        mac += randomChar();
    }

    return mac;
}
