import { createRequire } from 'module';
import swaggerUi from 'swagger-ui-express';
import swaggerJsDoc from 'swagger-jsdoc';

const require = createRequire(import.meta.url);
const swaggerOptions = require('./swaggerOptions.json');

const { major_version, patch_version, minor_version } = swaggerOptions;

const options = {
    definition: {
        openapi: '3.0.0',
        info: {
            title: 'RPP Platform REST Server',
            version: `${major_version}.${minor_version}.${patch_version}`,
        },
    },
    apis: ['./lib/api/rest-api/v3/controllers/*.mjs', './lib/models/**/*.mjs']
};
const initSwagger = async () => {
    const openapiSpecification = await swaggerJsDoc(options);
    return {
        serve: swaggerUi.serve,
        setup: swaggerUi.setup(openapiSpecification)
    };
};

export const swagger = initSwagger();
