import { NodeBase } from './NodeBase.mjs';

/**
 * @swagger
 * components:
 *  schemas:
 *      DeviceCreateBody:
 *          type: object
 *          properties:
 *              mac:
 *                  type: string
 *                  description: hardware MAC address 12 characters length (6 bytes heximal value).
 *      Device:
 *          type: object
 *          properties:
 *              mac:
 *                  type: string (6 bytes)
 *                  description: Node MAC address (in upper case)
 *              created_at:
 *                  type: string (ISO 8601)
 *                  description: Timestamp of node creation
 *              cbid:
 *                  type: string
 *                  description: Carrier board identifier
 *              last_heard:
 *                  type: string
 *                  description: The time stamp of the last time the node reported to the server, in ISO 8601 format
 *              node_id:
 *                  type: number
 *                  description: Numeric unique (wtihin the server) identifier of the node. Value in the frame of 1…65535.
 *      Devices:
 *          type: object
 *          properties:
 *              nodes:
 *                  type: array
 *                  items:
 *                      $ref: '#/components/schemas/Device'
 */
export class Device extends NodeBase {
    /**
     * @property {String|null}
     */
    static object = undefined;

    constructor() {
        super(undefined);
    }
}
