/**
 * @function
 * @param {Object} sublocation - database sublocation
 * @return {Object} - sublocation
 */
export function formatSublocationResponse(sublocation) {
    const responseSublocation = { ...sublocation };

    return {
        ...responseSublocation,
        id: Number(responseSublocation.id),
        elevation: Number(responseSublocation.elevation),
    };
}

/**
 * @function
 * @param {Array<Object>} sublocations - database sublocations list
 * @return {Array<Object>} - sublocations
 */
export function formatSublocationResponseList(sublocations) {
    return sublocations.map(formatSublocationResponse);
}
