import UseCaseBase from '../UseCaseBase.mjs';
import { Node, NodeAssociation } from '../../models/index.mjs';

export class NodeDelete extends UseCaseBase {
    static validationRules = {
        mac: ['mac_address', 'required'],
    };

    async execute(options) {
        const { association } = await new Node().loadWithAssociation(options);
        if (association) {
            await new NodeAssociation().close(association);
            await this.notificator.notify(NodeAssociation.deletedMessage(association));
        }

        await new Node().remove(options);

        await this.notificator.notify(Node.deletedMessage(options));

        return options;
    }
}
