import UseCaseBase from '../UseCaseBase.mjs';
import { NodeAssociation } from '../../models/index.mjs';

export class NodeAssociationClose extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', { require_if_rule: { anchor_uid: undefined } }],
        anchor_uid: ['not_empty', { require_if_rule: { mac: undefined } }],
    };

    async execute(options) {
        const association = await new NodeAssociation().close(options);

        await this.notificator.notify(NodeAssociation.deletedMessage(association));

        return association;
    }
}
