import UseCaseBase from '../UseCaseBase.mjs';
import { Sublocation } from '../../models/index.mjs';

export class SublocationUpdate extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
        name: ['strict_string', 'not_empty'],
        elevation: ['strict_integer', { multiple: 10 }],
    };

    async execute(params) {
        const sublocation = await new Sublocation().update(params);

        await this.notificator.notify(Sublocation.updatedMessage(sublocation));

        return sublocation;
    }
}
