#!/usr/bin/env bash
DIRNAME_PREFIX=/usr/rtls/rtls-platform-rest-server
MODULE_PREFIX=$DIRNAME_PREFIX/apps/rest-server

# copy .env file in tmp folder
if [ -e $MODULE_PREFIX/.env ]; then
  mkdir -p /tmp/rtls-platform-rest-server
  cp -rf $MODULE_PREFIX/.env /tmp/rtls-platform-rest-server/
fi

# updating system related files
cp -rf $MODULE_PREFIX/sys-services/rtls-platform-rest-server.service /usr/lib/systemd/system/
chmod 644 /usr/lib/systemd/system/rtls-platform-rest-server.service
chown root:root /usr/lib/systemd/system/rtls-platform-rest-server.service

systemctl daemon-reload

# clear installation folder
rm -rf $DIRNAME_PREFIX/*

if sudo systemctl is-active --quiet rtls-platform-rest-server; then
    echo "Stopping rtls-platform-rest-server"
    sudo systemctl stop rtls-platform-rest-server
else
    echo "rtls-platform-rest-server is not active. No need to stop."
fi
