const path = require('path');
const confme = require('./confme.cjs');

function getEnvPath(env) {
    if (env === 'test') {
        return path.join(__dirname, '../.env.test');
    } else if (env === 'gitlab') {
        return path.join(__dirname, '../.env.gitlab');
    }
    return null;
}

const env_path = getEnvPath(process.env.NODE_ENV);

require('dotenv').config({path: env_path});

const ROOT_SERVER_PATH = __dirname;

/**
 *
 * @type {{
 *      logLevel: string,
 *      serviceName: string,
 *      nodeIdLimit: number,
 *      networkIdLimit: number,
 *      sublocationIdLimit: number,
 *      logger: {transport: string, rotatePolicy: string},
 *      db: {host: string, port: number, driver: string, prefix: string},
 *      solutionDb: {host: string, user: string, port: number, password: string, database: string, driver: string, charset: string, collate: string}
 * }}
 */
const config = confme(
    path.join(ROOT_SERVER_PATH, './config.json'),
    path.join(ROOT_SERVER_PATH, './config-schema.json'),
    {
        path: path.join(ROOT_SERVER_PATH, '..', '.env'),
        defaults: path.join(ROOT_SERVER_PATH, '..', '.env.defaults')
    }
);

module.exports = {
    config,
};
