import diff from 'diff-arrays-of-objects';
import { Association } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncAssociations() {
    const association = new Association();
    const solutionItems = await association.collectSolutionEntities();
    const platformItems = await association.collectPlatformEntities();

    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'mac');
    
    await association.removeInPlatform(removed);
    await association.updateInPlatform(updated);
    await association.addToPlatform(added);

    logSyncReport('Associations', added, updated, removed, same);
}
