# @rtls-platform/logger

Logger based on winston library

## Basic Usage

```js
import { createLogger, LoggerTypes } from '@rtls-platform/logger';

const logger = createLogger({
    type: LoggerTypes.Winston,
    context: {
        transport: 'none' || 'console' || 'file' || 'console,file' || 'file,console',
        rotatePolicy: 'none' || 'daily' || 'monthly',
        logLevel: 'info',
        serviceName: 'My service name',
    },
});
```
### Description
* `transport` `none` log not handled
* `transport` `console` log only to console(included `/var/log/messages`)
* `transport` `file` log write according to `rotatePolicy`
* `transport` `console,file` or `file,console` log write according to `rotatePolicy` and in console
* `rotatePolicy` using only when `transport` contains `file`
* `rotatePolicy` `daily` create file with rotate `/var/log/rtls/${serviceName}-YYYY-MM-DD.log`;
* `rotatePolicy` `monthly` create file with rotate `/var/log/rtls/${serviceName}-YYYY-MM.log`;
* `rotatePolicy` `none` create file with no rotate `/var/log/rtls/${serviceName}.log`;
